using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Button : MonoBehaviour {
	public List<Door> targetsD = new List<Door>();
	public List<Laser> targetsL = new List<Laser>();
	public List<Fog> targetsF = new List<Fog>();
	public List<VideoCamera> targetsV = new List<VideoCamera>();

	public void OnTriggerEnter2D(Collider2D other)
	{
		for (int i = 0; i < targetsD.Count; i++) {
			targetsD [i].Activation ();
		}
		for (int i = 0; i < targetsL.Count; i++) {
			targetsL [i].Activation ();
		}
		for (int i = 0; i < targetsF.Count; i++) {
			targetsF [i].Activation ();
		}
		for (int i = 0; i < targetsV.Count; i++) {
			targetsV [i].Activation ();
		}
	}
}
